#### D.8.2.6 findvars

Procedure from library `presolve.lib` (see presolve_lib).

Usage:
  findvars(id ); id=poly/ideal/vector/module/matrix

Return:
  list L with 4 entries:

        L[1]: ideal of variables occuring in id
        L[2]: intvec of variables occuring in id
        L[3]: ideal of variables not occuring in id
        L[4]: intvec of variables not occuring in id

Example:

    LIB "presolve.lib";
    ring s  = 0,(e,f,x,y,t,u,v,w,a,d),dp;
    ideal i = w2+f2-1, x2+t2+a2-1;
    findvars(i);
    ==> [1]:
    ==>    _[1]=f
    ==>    _[2]=x
    ==>    _[3]=t
    ==>    _[4]=w
    ==>    _[5]=a
    ==> [2]:
    ==>    2,3,5,8,9
    ==> [3]:
    ==>    _[1]=e
    ==>    _[2]=y
    ==>    _[3]=u
    ==>    _[4]=v
    ==>    _[5]=d
    ==> [4]:
    ==>    1,4,6,7,10

See also: variables.

User manual for Singular version 4-0-3, 2016, generated by texi2html.